# Uses of Enum Class
com.google.protobuf.Value.KindCase

Packages that use Value.KindCase
Package
Description
com.google.protobuf

## Uses of Value.KindCase in com.google.protobuf

Methods in com.google.protobuf that return Value.KindCase
Modifier and Type
Method
Description
`static Value.KindCase`
Value.KindCase.`forNumber(int value)`
`Value.KindCase`
Value.Builder.`getKindCase()`
`Value.KindCase`
Value.`getKindCase()`
`Value.KindCase`
ValueOrBuilder.`getKindCase()`
`static Value.KindCase`
Value.KindCase.`valueOf(int value)`
Deprecated.
`static Value.KindCase`
Value.KindCase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Value.KindCase[]`
Value.KindCase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.